/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.core.bean;

import com.aizuda.core.validation.Create;
import com.aizuda.core.validation.Update;
import lombok.Getter;
import lombok.Setter;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Null;

/**
 * 爱组搭 http://aizuda.com
 * ----------------------------------------
 * 基础类
 *
 * @author 青苗
 * @since 2021-10-28
 */
@Setter
@Getter
public class SuperEntity implements BeanConvert {

    /**
     * 主键
     */
    @Null(groups = Create.class)
    @NotNull(groups = Update.class)
    private Long id;

}
