/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.service.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;
import java.util.Map;

/**
 * 爱组搭 http://aizuda.com
 * ----------------------------------------
 * SQL Mapper 接口
 *
 * @author 青苗
 * @since 2023-04-23
 */
public interface SqlMapper {

    @Select("${sql}")
    Page<Map<String, Object>> selectPageBySql(IPage<Object> page, @Param("sql") String sql, @Param("params") Map<String, Object> params);

    @Select("${sql}")
    List<Map<String, Object>> selectListBySql(@Param("sql") String sql, @Param("params") Map<String, Object> params);

    @Select("${sql}")
    Map<String, Object> selectOneBySql(@Param("sql") String sql, @Param("params") Map<String, Object> params);

    @Update("${sql}")
    Integer updateBySql(@Param("sql") String sql, @Param("params") Map<String, Object> params);

    @Delete("${sql}")
    Integer deleteBySql(@Param("sql") String sql, @Param("params") Map<String, Object> params);

}
